import React from 'react';
import PropTypes from 'prop-types';

export const NAV_LIGHT = 'light';
export const NAV_DARK = 'dark';

export const NavWrapper = ({ children, color }) => {
  const navClass = `navbar-${color}`;
  return (
    <div className={navClass}>
      {children}
    </div>
  );
};

NavWrapper.propTypes = {
  children: PropTypes.node.isRequired,
  color: PropTypes.oneOf([
    NAV_LIGHT,
    NAV_DARK,
  ]),
};

NavWrapper.defaultProps = {
  color: NAV_LIGHT,
};
